
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>javascript下使用Promise封装FileReader_javascript技巧 / iVAN</title>

    <meta name="description" content="javascript下使用Promise封装FileReader_javascript技巧 Promise 在处理异步的时候是个很好的选择,可以减少嵌套层次,让代码更好读,逻辑更清晰.ES6 将其加入规范,jQuery 3.0 也修改实现向规范靠拢(3.0 发布公告).一些新增元素比如 .fetch() 原生就 &quot;thenable&quot;,不过大多数以往的 API 还要依赖回调,这个时候,我们只要将它们重新封装,就能避开嵌套陷阱,享受 Promise 带来的愉悦体验. Promise 一般用法先来看下 Promise 的一般用法. // 声明 Promise 对象 var ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">javascript下使用Promise封装FileReader_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Promise 在处理异步的时候是个很好的选择，可以减少嵌套层次，让代码更好读，逻辑更清晰。ES6 将其加入规范，jQuery 3.0 也修改实现向规范靠拢（3.0 发布公告）。一些新增元素比如 .fetch() 原生就 “thenable”，不过大多数以往的 API 还要依赖回调，这个时候，我们只要将它们重新封装，就能避开嵌套陷阱，享受 Promise 带来的愉悦体验。</p>
<p><strong>Promise 一般用法<br /></strong>先来看下 Promise 的一般用法。</p>
<pre>
// 声明 Promise 对象
var p = new Promise(function (resolve, reject) {
 // 不管啥时候，该执行then了，就调用 resolve
 setTimeout(function () {
  resolve(1);
 }, 5000);

 // 或者不管啥问题，就调用 reject
 if (somethingWrong) {
  reject('2');
 }
});

// 使用 Promise 对象
p.then(function (num) {
 // 对应上面的 resolve
 console.log(num); // 1
}, function (num) {
 // 对应上面的 reject
 console.log(num); // 2
});
</pre>
<p>Promise 的驱动模型并不复杂：任何操作，假定它只有两个结果，成功或者失败。那么只需要在合适的时间调用合适的程序，进入合适的后续步骤即可。.then() 顾名思义，就是下一步的意思，当前面的 Promise 有了结果——即调用 resolve 或者 reject——之后，就启动对应的处理函数。</p>
<p>Promise 实例创建后就会开始执行，判定结果需要我们自己来，比如加载成功，或者满足某个条件，等等。通过串联 .then() 则可以完成一系列操作。每次调用 .then() 都会创建一个新的 Promise 实例，它会静静等待前面的实例状态改变后再开始执行。</p>
<p><strong>封装 FileReader<br /></strong>接下来开始封装。思路很简单，FileReader 除了提供各种 read 方法，还有几个事件钩子，其中 onerror 和 onload 很明显可以作为判断任务是否完成的依据。加载成功的话，就需要用到文件内容，所以将文件或文件内容传递到下一步也十分必要。</p>
<p>最后完成的代码如下：</p>
<pre>
function reader (file, options) {
 options = options || {};
 return new Promise(function (resolve, reject) {
  let reader = new FileReader();

  reader.onload = function () {
   resolve(reader);
  };
  reader.onerror = reject;

  if (options.accept &amp;&amp; !new RegExp(options.accept).test(file.type)) {
   reject({
    code: 1,
    msg: 'wrong file type'
   });
  }

  if (!file.type || /^text\//i.test(file.type)) {
   reader.readAsText(file);
  } else {
   reader.readAsDataURL(file);
  }
 });
}
</pre>
<p>为了能真正派上用场，里面还有一些验证文件类型的操作，不过跟本文主旨无关，略过不表。这段代码的核心是创建一个 Promise 对象，等待 FileReader 读取完成后调用 resolve 方法，或者出现问题时调用 reject 方法。</p>
<p><strong>使用刚才封装好的函数<br /></strong>接下来就可以在项目中使用了：</p>
<pre>
reader(file)
 .then(function (reader) {
  console.log(reader.result);
 })
 .catch(function (error) {
  console.log(error);
 });
</pre>
<p>.then() 支持两个参数，第一个在 Promise 成功时启动，第二个自然在失败时启动。用 .catch() 可以实现同样地效果。Promise 的好处除了可读性更佳以外，返回的 Promise 对象还可以任意传递，继续进行链式调用，有很大想象空间。</p>
<p><strong>继续 .then()</strong><br />
于是我们不妨串联更多操作（本来想写个断点续传的，回头再说吧）：</p>
<p>全选复制放进笔记reader(file)</p>
<pre>
 .then(function (reader) {
  return new Promise(function (resolve, reject) {
   // 就随便暂停个5秒吧……
   setTimeout(function () {
    resolve(reader.result);
   }, 5000);
  });
 })
 .then(function (content) {
  console.log(content);
 });</pre>
<p>以上就是本文的全部内容，希望对大家的学习有所帮助。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索javascript<br />
                                    Promise封装FileReader<br />
                                    javascript promise、javascript中promise、js promise 封装ajax、promise封装、react 封装 promise，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 14:55:23</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/promise%e5%b0%81%e8%a3%85filereader/" title="Promise封装FileReader">Promise封装FileReader</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>javascript下使用Promise封装FileReader_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKm2g5p.html" rel="bookmark">JavaScript实现非常简单实用的下拉菜单效果&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JavaScript实现非常简单实用的下拉菜单效果.分享给大家供大家参考.具体如下: 这是一款实用的JS下拉菜单,鼠标移上菜单就显示出二级菜单,是从其它网站上整理下来的,修改花了不少时间,现在去除了一些无用代码,更简洁了,而且代码兼容性似乎也表现不错,这款两级下拉菜单,基本是由CSS和JavaScript共同实现的,真的挺简洁实用. 运行效果截图如下: 在线演示地址如下: http://demo.jb51.net/js/2015/js-css-down-show-menu-code			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1Nk25p.html" rel="bookmark">基于javascript实现全国省市二级联动下拉选择菜单&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了js实现全国省市二级联动下拉选择菜单,分享给大家供大家参考.具体如下: 效果图:   具体代码: &lt;html&gt; &lt;head&gt; &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/html; charset=gb2312&quot; /&gt; &lt;title&gt;无标题文档&lt;/title&gt; &lt;script type=&quot;text/javascript&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Q6YWp.html" rel="bookmark">javascript仿京东导航左侧分类导航下拉菜单效果&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例为大家分享了类似于京东.淘宝商城左侧分类导航下拉菜单,供大家参考,具体内容如下 效果图:   实现代码: &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;gb2312&quot;&gt; &lt;meta http-equiv=&quot;X-UA-Compatible&quot; content=&quot;IE=edge&quot;&gt; &lt;title&gt;&lt;/title&gt; &l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6G7AWp.html" rel="bookmark">javascript实现省市区三级联动下拉框菜单&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了javascript实现省市区三级联动下拉框菜单代码.分享给大家供大家参考.具体如下: 运行效果截图如下:   首先写一个静态的页面: &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;title&gt;QQ JS省市区三级联动&lt;/title&gt; &lt;!-- 使用QQ的省市区数据 --&gt; &lt;!-- &lt;script type=&quot;text/javascript&quot; src=&quot;http			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPWanAM.html" rel="bookmark">纯JavaScript实现的兼容各浏览器的添加和移除事件封装&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				//事件处理兼容各种浏览器,采用能力检测方法,所谓能力检测,就是有能力就做,没有能力就不做 //定义一个处理事件的对象,兼容各种浏览器,dom2级事件处理和ie事件,如果这两个事件都不兼容,就采用dom0级处理 var eventUtil ={ addEvent:function(element,type,handler){ if (element.addEventListener) { //非IE浏览器采用dom2级事件处理,type为事件类型如:click,handler为事件处理函数,fa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK0r7WM.html" rel="bookmark">APP中javascript&plus;css3实现下拉刷新效果&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原生app里的数据列表都会使用下拉刷新的效果,在webapp里可以采用iscroll.swiper等插件或框架实现,那么如何自己编码实现类似的效果呢,下面介绍使用原生js+css3实现的简单效果. html布局 &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;utf-8&quot;&gt; &lt;meta name=&quot;viewport&quot; content=&quot;width=device-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEdmmJz.html" rel="bookmark">理解javascript封装&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				封装可以被定义为对对象的内部数据表现形式和实现细节进行隐藏.通过封装可以强制实施信息隐藏. 在JavaScript中,并没有显示的声明私有成员的关键字等.所以要想实现封装/信息隐藏就需要从另外的思路出发.我们可以使用闭包的概念来创建只允许从对象内部访问的方法和属性,来达到封装的要求. 基本方式 一般来说,我们学用的有三种方法来达到封装的目的. 使用this.XXX来声明一个变量,然后再声明getXXX.setXXX等取值.赋值的方法. 使用this._XXX来声明一个变量,然后再声明getXXX			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXxDwjp.html" rel="bookmark">JavaScript简单下拉菜单特效&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例为大家分享了js下拉菜单特效,供大家参考,具体内容如下 实例1:联动的省市下拉菜单 onchange 事件会在域的内容改变时发生. &lt;script type=&quot;text/javascript&quot;&gt; var arr = new Array(); //数据数组 //定义数据,结构为:id.名字.父id arr[arr.length] = [1, '北京市', null]; arr[arr.length] = [2, '四川省', null]; arr[arr.length			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAwYxAz.html" rel="bookmark">JavaScript下的时间格式处理函数Date&period;prototype&period;format&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实例一: 一个全的js时间处理函数,虽然我没有仔细去研究里面的正则,但是我经过了测试,是非常好用的,你可以根据你自己的需求设置想要的时间格式的字符串输出,我应用到的格式为:MM/dd/yyyy hh:mm TT和yyyy-MM-dd HH:mm:ss. &lt;span style=&quot;font-size:18px;&quot;&gt;Date.prototype.format = function (mask) { var d = this; var zeroize = function (va			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqJYep.html" rel="bookmark" class="title">MySQL安全问题的一点心得</a>
					<div>
						前两天在帮朋友整理他的主页空间时候,发现的一点关于MySQL可能大家都会忽略的问题:我们知道,在安装完MySQL后,它会自动创建一个root用户和一个匿名用户,其初始密码都是空,对于前者,很多参考资料 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnnL0p.html" rel="bookmark" class="title">Javascript实例教程&lpar;8&rpar; 利用Javascript基于浏览器类型的重定向</a>
					<div>
						javascript|教程|浏览器 利用javascript基于浏览器类型的重定向 基于浏览器类型的重定向的实现可以通过使用javascript函数来检查navigator.userAgent的字符串 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPKElM.html" rel="bookmark" class="title">网页侦测四法</a>
					<div>
						网页 在网上看到有很多主页上有这样的提示:建议您采用IE4.0使用800×600分辨率浏本网页.其实在网页里的主体部分即和之间找个合适的位置,加上十分简单的一小段javascript语句就可以侦测到浏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN50Wb.html" rel="bookmark" class="title">PHP-GTK介绍</a>
					<div>
						什么是PHP-GTK?PHP-GTK是为了证明PHP是一种远远超越网络应用程序的有效的工具而开发的.使用PHP-GTK你可以建立独立的GUI(用户图形界面)应用程序,例如mp3播放器.文本编辑器.数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQnKrM.html" rel="bookmark" class="title">Java程序设计的基本结构</a>
					<div>
						程序|设计 --------------------------------------------------------------------------本系列文档配合前面的&lt;JBuild ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM97vRz.html" rel="bookmark" class="title">实战：百度竞价如何全面寻找关键字？</a>
					<div>
						广告圈认为: 一个网站的流量不单单是依靠核心关键词,更重要的大量的长尾关键词,因为随着互联网的发展,网民在搜索习惯上也发生了变化,从最开始的单个词语逐渐向多个词语甚至是整句话搜索的发展,作为站长,想要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDGQlp.html" rel="bookmark" class="title">Photoshop打造一张逼真的绿色沙发</a>
					<div>
						制作的时候需要非常细心,尤其用钢笔勾选区的时候需要圆滑一点.这样出来的效果才会更真实. 沙发的构成部分不多仅有几个大的面.制作的时候需要非常细心,尤其用钢笔勾选区的时候需要圆滑一点.这样出来的效果才会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0k6Pb.html" rel="bookmark" class="title">让思维创新成为SEO行业的杀手锏</a>
					<div>
						我最近看新闻,发现各行业的竞争度也在不段增加,像电子商务.装修行业门户网站等等,这些行业都已经进入了冬季.然而SEO行业的普及也使这个行业进入了白热化了.我们如何才能在这样的困境下开辟一条新的道路,那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7mg6M.html" rel="bookmark" class="title">3ds MAX教程：制作一个逼真的高压锅</a>
					<div>
						今天我们用3ds max制造一个高压锅,通过这个教程的学习,我们可以对建模的大概流程有初步的认识.对多边形建模工具有更深的了解 效果图: 建一圆柱体,塌陷可编多边形					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEdGWb.html" rel="bookmark" class="title">android安全问题（八）伪造短信（利用原生android4&period;0漏洞）</a>
					<div>
						android4.0发布已经是很久很久很久很久以前的事情了,这个漏洞早就报了出来,之所以现在才写这篇文 章,就是觉得,该升级的基本已经都升级了,该打补丁的基本都已经打了补丁,所以现在差不多是时候了.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7n2Jb.html" rel="bookmark" class="title">oracleCONNECTBYPRIOR叶子节点查找根节点</a>
					<div>
						  SELECT TRANS_ID FROM TRANS_INST WHERE connect_by_isleaf=1 START WITH TRANS_ID =480242 CONNECT BY P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4yrOp.html" rel="bookmark" class="title">WPS表格中输入平方和立方符号</a>
					<div>
						我们在输入面积和体积时,经常要输入平方(上标2)和立方(上标3).目前在WPS表格中还不能直接实现,那么爱用WPS的朋友是不是无法输入平方(上标2)和立方(上标3)呢?别急,方法是有的,而且还不止一种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6nOvz.html" rel="bookmark" class="title">保护视力 Win7系统颜色设置让你更健康</a>
					<div>
						电脑与我们是不是越来越息息相关了?办公.娱乐,不少人一天主要的工作就是与电脑接触,一块小小的屏幕,就是我们每天看的最多的.所以,不少人也感叹,随着使用电脑的时间越来越长,身体健康状况受到威胁,尤其是视 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjR0Qp.html" rel="bookmark" class="title">java-JAVA中如何判断一个文件是否存在，如果不存在则创建它？</a>
					<div>
						问题描述 JAVA中如何判断一个文件是否存在,如果不存在则创建它? JAVA中如何判断一个文件是否存在,如果不存在则创建它? 求帮助 源码如下: public void SaveFile(String ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YWx3M.html" rel="bookmark" class="title">通过SSH终端管理ESXI虚拟机</a>
					<div>
						今天在ESXI上的一台windows系统的虚拟机(以下简称VM),突然nagios报警提示说:该机器发生故障. 既然问题出来了,就要解决.先在本机ping下那台VM,发现不能ping通.使用vsphe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0ROyDz.html" rel="bookmark" class="title">Nagios&sol;Postfix 转发警报邮件到Office365</a>
					<div>
						原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://beanxyz.blog.51cto.com/5570417/1630221 豆子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLgL0p.html" rel="bookmark" class="title">去哪儿网CTO吴永强：大多数公司不愿做PCI认证</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 3月22日晚,乌云漏洞平台披露:某 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkerqrb.html" rel="bookmark" class="title">EMF Demo</a>
					<div>
						Install EMF Plugin of Eclipse Ecore Diagram Editor Create EMF Project Take &quot;Empty EMF Project&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JrWNz.html" rel="bookmark" class="title">调用WCF的异步方法</a>
					<div>
						原文:调用WCF的异步方法 AsyncCallback aLoginCallback = delegate(IAsyncResult result) { var aSystemUser = WcfCl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwZLOM.html" rel="bookmark" class="title">MySQL DBA面试全揭秘</a>
					<div>
						本文由MySQL中文网原创,&quot;MySQL中文&quot;公众号是 http://imysql.com 的官方唯一公众号,微信首发. 欢迎关注&quot;MySQL中文&quot;公众号(ID ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eVr8b.html" rel="bookmark" class="title">java struts-struts&period;xml配置文件中如何获取session中的值</a>
					<div>
						问题描述 struts.xml配置文件中如何获取session中的值 #session.memberName(这里我想要获取session中的值) 用户登录 放入session中代码: session ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7nYGz.html" rel="bookmark" class="title">请问关于网络管理系统的问题</a>
					<div>
						问题描述 请问关于网络管理系统的问题 新手,目前在做基于浏览器的视频监控管理系统.主要想了解下,Web服务器到主服务器之间的通信,也就是我自定义的协议是怎么从前端到Web服务器再到主服务器的.感觉这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgw6yOM.html" rel="bookmark" class="title">c&num;-C&num;写一段监视程序，求大神指教</a>
					<div>
						问题描述 C#写一段监视程序,求大神指教 当计算器点击log时,监测程序检测到信息,并在form窗口上显示出计算器点击的信息,求大神指教,谢谢 解决方案 参考spy++的代码,拦截wm_mousedo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQxYkp.html" rel="bookmark" class="title">前端-js&comma;變量未定義，什麼時候才會報錯？</a>
					<div>
						问题描述 js,變量未定義,什麼時候才會報錯? if(thisVariable){ //do sth. } var thisVariable={}; if(thisVariable[&quot;tha ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLglnkM.html" rel="bookmark" class="title">Clouder&mdash;构建企业级数据分析平台-墨羽&commat;袋鼠云</a>
					<div>
						Clouder-构建企业级数据分析平台 墨羽@袋鼠云 一.引言 这是在阿里云大学线下开班的clouder沙箱实验,本人小白,第一次接触阿里云的数加产品. 小白到什么程度,我是一个运营!运营!!运营!! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW9KPz.html" rel="bookmark" class="title">使用jQuery内容过滤选择器选择元素实例讲解&lowbar;jquery</a>
					<div>
						复制代码 代码如下: &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt; &lt;head&gt; &lt;!-- 内容过滤选择器: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWZoKz.html" rel="bookmark" class="title">【Mysql 学习】MyISAM存储引擎&lpar;一&rpar;。</a>
					<div>
						MyISAM是默认存储引擎. 每个MyISAM在磁盘上存储成三个文件. 第一个文件的名字以表的名字开始,扩展名指出文件类型..frm文件存储表定义. 数据文件的扩展名为.MYD (MYData). 索 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjolkNM.html" rel="bookmark" class="title">C语言堆栈入门指南&lowbar;C 语言</a>
					<div>
						C语言堆栈入门指南 在计算机领域,堆栈是一个不容忽视的概念,我们编写的C语言程序基本上都要用到.但对于很多的初学着来说,堆栈是一个很模糊的概念.堆栈:一种数据结构.一个在程序运行时用于存放的地方,这可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK0n3LM.html" rel="bookmark" class="title">如何将ABCD这个值改成0001这个值</a>
					<div>
						问题描述 &lt;html&gt;&lt;head&gt;&lt;scripttype=&quot;text/javascript&quot;langu&gt;functioncopys(){varx ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0OQGjb.html" rel="bookmark" class="title">浙江PE成长之惑：600家扎堆 无一家跻身全国十强</a>
					<div>
						结束了2年的奔波状态,近日,投资人张默(化名)解散了他的创投公司,回到原来2年前就职的一家投资管理公司,重当安安稳稳的财务顾问.&quot;那种挂着投资公司但是拿不到项目的日子,确实太煎熬了.&quo ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
